CVE-2006-2740
CVSS6.8
发布时间 :2006-06-01 06:02:00
修订时间 :2011-03-07 21:36:56
NMCO    

[原文]Multiple SQL injection vulnerabilities in Epicdesigns tinyBB 0.3 allow remote attackers to execute arbitrary SQL commands via the (1) q parameter in (a) forgot.php, and the (2) username and (3) password parameters in (b) login.php, and other unspecified vectors.


[CNNVD]tinyBB 多个输入验证漏洞(CNNVD-200606-007)

        tinyBB是一款简单小巧的开源论坛程序。
        tinyBB的实现上存在多个输入验证漏洞,导致SQL注入等各种安全威胁。
        tinyBB的footers.php文件没有正确过滤tinyBB.tinybb_footers变量,允许远程攻击者包含任意文件。有漏洞的代码在footers.php的第3行:
        3: if (strlen($tinybb_footers) > 0) { require_once($tinybb_footers); }
        此外,forgot.php.Parameter $q中存在SQL注入漏洞。漏洞代码在forgot.php的3-18行:
        3: if (isset($q)) {
        4: $sql="SELECT COUNT(*) FROM tinybb_members WHERE username='$q' OR email='$q'";
        5: $count = mysql_result(mysql_query($sql),0);
        forgot.php的19-21行还存在跨站脚本漏洞:
        19: else {
        20: echo " <p >The query <b>$q could not be .....
        21: }
        由于没有正确过滤用户名和口令,导致login.php.Parameters中存在另一个SQL注入漏洞。漏洞代码在login.php的2-8行:
        8: $sql="SELECT count(*) FROM tinybb_members WHERE flag='1' AND username='$username' AND password='$password'";
        
        

- CVSS (基础分值)

CVSS分值: 6.8 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2740
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2740
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200606-007
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/2035
(UNKNOWN)  VUPEN  ADV-2006-2035
http://www.securityfocus.com/bid/18147
(UNKNOWN)  BID  18147
http://www.securityfocus.com/archive/1/archive/1/435281/100/0/threaded
(VENDOR_ADVISORY)  BUGTRAQ  20060528 Advisory: tinyBB <= 0.3 Multiple Remote Vulnerabilities.
http://www.nukedx.com/?viewdoc=33
(VENDOR_ADVISORY)  MISC  http://www.nukedx.com/?viewdoc=33
http://www.nukedx.com/?getxpl=33
(UNKNOWN)  MISC  http://www.nukedx.com/?getxpl=33
http://securitytracker.com/id?1016172
(UNKNOWN)  SECTRACK  1016172
http://secunia.com/advisories/20356
(VENDOR_ADVISORY)  SECUNIA  20356
http://xforce.iss.net/xforce/xfdb/26826
(UNKNOWN)  XF  tinybb-multiple-sql-injection(26826)
http://securityreason.com/securityalert/1011
(UNKNOWN)  SREASON  1011

- 漏洞信息

tinyBB 多个输入验证漏洞
中危 SQL注入
2006-06-01 00:00:00 2007-01-05 00:00:00
远程  
        tinyBB是一款简单小巧的开源论坛程序。
        tinyBB的实现上存在多个输入验证漏洞,导致SQL注入等各种安全威胁。
        tinyBB的footers.php文件没有正确过滤tinyBB.tinybb_footers变量,允许远程攻击者包含任意文件。有漏洞的代码在footers.php的第3行:
        3: if (strlen($tinybb_footers) > 0) { require_once($tinybb_footers); }
        此外,forgot.php.Parameter $q中存在SQL注入漏洞。漏洞代码在forgot.php的3-18行:
        3: if (isset($q)) {
        4: $sql="SELECT COUNT(*) FROM tinybb_members WHERE username='$q' OR email='$q'";
        5: $count = mysql_result(mysql_query($sql),0);
        forgot.php的19-21行还存在跨站脚本漏洞:
        19: else {
        20: echo " <p >The query <b>$q could not be .....
        21: }
        由于没有正确过滤用户名和口令,导致login.php.Parameters中存在另一个SQL注入漏洞。漏洞代码在login.php的2-8行:
        8: $sql="SELECT count(*) FROM tinybb_members WHERE flag='1' AND username='$username' AND password='$password'";
        
        

- 公告与补丁

        目前厂商还没有提供补丁或者升级程序,建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        http://www.epicdesigns.co.uk/

- 漏洞信息

26095
tinyBB forgot.php q Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-05-28 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站